<?php

spl_autoload_register( function ( $classname )
{
	$classname = str_replace( "\\", ".", $classname );

	switch ( $classname )
	{
	case 'Content':
		include( "pagecentric.content.models/Content.php" );
		break;

	case 'Files':
		include( "pagecentric.content.models/Files.php" );
		break;

	case 'Page':
		include( "pagecentric.page/Page.php" );
		break;

	case 'DBi':
		include( "pagecentric.util/DBi.php" );
		break;

	case 'HelperFunctions':
		include( "pagecentric.util/HelperFunctions.php" );
		break;

	case 'Input':
		include( "pagecentric.util/Input.php" );
		break;

	case 'Printer':
		include( "pagecentric.util/Printer.php" );
		break;

	}
});
